## kate 15.08.2

=== CMakeLists.txt ===
# Kate project
project (kate)

# minimal requirements
cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.2.0")
set(KF5_DEP_VERSION "5.6.0")

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "15")
set (KDE_APPLICATIONS_VERSION_MINOR "08")
set (KDE_APPLICATIONS_VERSION_MICRO "2")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

# we need some parts of the ECM CMake helpers
find_package (ECM 1.1.0 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(GenerateExportHeader)

include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include (CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus Widgets Script Sql)

if(BUILD_TESTING)
  find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
endif()

# Load the frameworks we need
find_package(KF5 "${KF5_DEP_VERSION}" REQUIRED COMPONENTS
  Activities
  Config
  Crash
  DocTools
  GuiAddons
  IconThemes
  I18n
  Init
  JobWidgets
  KIO
  Parts
  TextEditor
  WindowSystem
  XmlGui
  IconThemes
)

# use sane compile flags
add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
  -DQT_USE_FAST_OPERATOR_PLUS
)

# config.h
check_function_exists (ctermid HAVE_CTERMID)
configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# let our config.h be found first in any case
include_directories (BEFORE ${CMAKE_CURRENT_BINARY_DIR})

# kwrite
ecm_optional_add_subdirectory (kwrite)

# kate application
ecm_optional_add_subdirectory (kate)

# addons, e.g. kate plugins, plasma applets, ...
ecm_optional_add_subdirectory (addons)

# docs
ecm_optional_add_subdirectory (doc)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kate (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:58:32 +0100

kate (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:16:43 +0100

kate (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:08:02 +0100

kate (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Add missing QML dependencies
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:34:00 +0100

kate (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Felix Geyer ]
  * Fix "KDEInit could not launch Kate" error when opening second file with Kate
    in Dolphin. (LP: #1449029)
    - Add upstream_Register_with_dbus_to_wake_up_KRun.patch

  [ Scarlett Clark ]
  * Fix merge conflict (changelog version discrepancy)
  * manual merge. 
  * manual merge backports. 
  * Remove upstream_find-IconThemes.diff from series file.
    The patch does not exist in directory. 
  * and remove upstream_Register_with_dbus_to_wake_up_KRun.patch
    it has already been applied to this backport. 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:37:40 +0200

kate (4:15.04.1-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 27 May 2015 08:19:24 -0700

=== debian/control ===
Source: kate
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kdoctools-dev,
               kinit-dev,
               kio-dev,
               libgit2-dev,
               libkf5activities-dev,
               libkf5config-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5itemmodels-dev,
               libkf5jobwidgets-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5parts-dev,
               libkf5service-dev,
               libkf5texteditor-dev,
               libkf5threadweaver-dev,
               libkf5wallet-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               plasma-framework-dev,
               qtbase5-dev,
               qtscript5-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://kate-editor.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kate.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kate.git

Package: kate
Section: editors
Architecture: any
Depends: kate5-data (>= ${source:Version}),
         ktexteditor-katepart,
         plasma-framework,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: aspell | ispell | hspell, khelpcenter, konsole-kpart
Description: powerful text editor
 Kate is a powerful text editor that can open multiple files simultaneously.
 .
 With a built-in terminal, syntax highlighting, and tabbed sidebar, it performs
 as a lightweight but capable development environment.  Kate's many tools,
 plugins, and scripts make it highly customizable.
 .
 Kate's features include:
 .
  * Multiple saved sessions, each with numerous files
  * Scriptable syntax highlighting, indentation, and code-folding
  * Configurable templates and text snippets
  * Symbol viewers for C, C++, and Python
  * XML completion and validation

Package: kate5-data
Architecture: all
Depends: ${misc:Depends}
Replaces: kate-data (<< 4:4.14.3-0ubuntu4)
Breaks: kate-data (<< 4:4.14.3-0ubuntu4)
Description: shared data files for Kate text editor
 This package contains the architecture-independent shared data files needed
 for Kate editor

Package: kwrite
Section: editors
Architecture: any
Depends: ktexteditor-katepart, ${misc:Depends}, ${shlibs:Depends}
Description: simple text editor
 KWrite is a simple text editor built on the KDE Platform. It uses the Kate
 editor component, so it supports powerful features such as flexible syntax
 highlighting, automatic indentation, and numerous other text tools.

Package: kate-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kate | kwrite, ${misc:Depends}
Description: debugging symbols for Kate
 This package contains debugging files used to investigate problems with
 binaries included in Kate.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_addsubst_allLibraries = kate-dbg
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DPYTHON_LIBRARY=/usr/lib/$(DEB_HOST_MULTIARCH)/libpython2.7.so.1

.PHONY: override_dh_auto_test

override_dh_auto_install:
	$(overridden_command)
	# provided by kate-syntax-go -- #628161
	rm -f debian/tmp/usr/share/kde4/apps/katepart/syntax/go.xml
	# provided by nescc -- #716942
	rm -f debian/tmp/usr/share/kde4/apps/katepart/syntax/nesc.xml
	# these would belong to kate-dev
	rm -rf debian/tmp/usr/include
	find debian/tmp/usr/lib -maxdepth 1 -name '*.so' -type l -delete

override_dh_strip:
	$(overridden_command) --dbg-package=kate-dbg

## kate 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,13 @@
 
 # minimal requirements
 cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
-set (QT_MIN_VERSION "5.2.0")
-set(KF5_DEP_VERSION "5.6.0")
+set (QT_MIN_VERSION "5.4.0")
+set(KF5_DEP_VERSION "5.10.0")
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "15")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
-set (KDE_APPLICATIONS_VERSION_MICRO "2")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 # we need some parts of the ECM CMake helpers
@@ -20,6 +20,7 @@
 include(ECMSetupVersion)
 include(ECMMarkNonGuiExecutable)
 include(ECMGenerateHeaders)
+include(ECMAddAppIcon) 
 include(GenerateExportHeader)
 
 include(CMakePackageConfigHelpers)
@@ -39,14 +40,9 @@
 
 # Load the frameworks we need
 find_package(KF5 "${KF5_DEP_VERSION}" REQUIRED COMPONENTS
-  Activities
   Config
   Crash
-  DocTools
-  GuiAddons
-  IconThemes
   I18n
-  Init
   JobWidgets
   KIO
   Parts
@@ -55,6 +51,16 @@
   XmlGui
   IconThemes
 )
+
+# some optional deps, to make compiling on some OSes easier
+find_package(KF5 "${KF5_DEP_VERSION}" COMPONENTS
+  Activities
+  DocTools
+)
+
+if (KF5Activities_FOUND)
+    add_definitions(-DKActivities_FOUND)
+endif ()
 
 # use sane compile flags
 add_definitions(
@@ -84,7 +90,10 @@
 # addons, e.g. kate plugins, plasma applets, ...
 ecm_optional_add_subdirectory (addons)
 
-# docs
-ecm_optional_add_subdirectory (doc)
+# docs, if doc tools around
+if (KF5DocTools_FOUND)
+    ecm_optional_add_subdirectory (doc)
+endif ()
 
+# tell about our features (and what is missing)
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== addons/CMakeLists.txt ===
# detect additional frameworks
find_package(KF5 "${KF5_DEP_VERSION}" OPTIONAL_COMPONENTS Wallet Plasma Service ItemModels ThreadWeaver NewStuff IconThemes GuiAddons)

set_package_properties(KF5Wallet PROPERTIES PURPOSE "Required to build the katesql addon")
set_package_properties(KF5Plasma PROPERTIES PURPOSE "Required to build the sessionapplet addon")
set_package_properties(KF5Service PROPERTIES PURPOSE "Required to build the sessionapplet addon")
set_package_properties(KF5ItemModels PROPERTIES PURPOSE "Required to build the project, konsole addon")
set_package_properties(KF5ThreadWeaver PROPERTIES PURPOSE "Required to build the project addon")
set_package_properties(KF5NewStuff PROPERTIES PURPOSE "Required to build the snippets and project addons")

# document switcher
ecm_optional_add_subdirectory (filetree)

# search in open documents and files
ecm_optional_add_subdirectory (search)

# ALT+Tab like tab switcher
ecm_optional_add_subdirectory (tabswitcher)

# ctags
ecm_optional_add_subdirectory (kate-ctags)

# backtrace
ecm_optional_add_subdirectory (backtracebrowser)

# file browser, atm guarded until we have a check for KIOWidgets
if (NOT WIN32)
    ecm_optional_add_subdirectory (filebrowser)
endif()

# xml completion
ecm_optional_add_subdirectory (xmltools)

# open header matching to current file
ecm_optional_add_subdirectory (openheader)

# debugger plugin, needs windows love, guarded until ported to win32
if (NOT WIN32)
    ecm_optional_add_subdirectory (gdbplugin)
endif ()

# list symbols and functions in a file
ecm_optional_add_subdirectory (symbolviewer)

# replicode integration
ecm_optional_add_subdirectory (replicode)

# pipe text through some external command
ecm_optional_add_subdirectory (textfilter)

# Rust complection plugin
ecm_optional_add_subdirectory (rustcompletion)

# D completion plugin
ecm_optional_add_subdirectory (lumen)

# build plugin
ecm_optional_add_subdirectory (katebuild-plugin)

# close document except this one (or similar)
ecm_optional_add_subdirectory (close-except-like)

if(KF5Wallet_FOUND)
    # kate sql
    ecm_optional_add_subdirectory (katesql)
endif()

if(KF5NewStuff_FOUND)
    # snippets
    ecm_optional_add_subdirectory (snippets)
endif()

if(KF5ItemModels_FOUND)
    # terminal tool view
    ecm_optional_add_subdirectory (konsole)
endif()

if(KF5ItemModels_FOUND AND KF5ThreadWeaver_FOUND AND KF5NewStuff_FOUND)
    # small & smart project manager
    ecm_optional_add_subdirectory (project)
endif()

if (KF5Plasma_FOUND AND KF5Service_FOUND)
    ecm_optional_add_subdirectory (sessionapplet)
endif()

=== kate/CMakeLists.txt ===
#
# The Kate Application
#
project(kate)

# Load the frameworks we need
find_package(KF5 REQUIRED COMPONENTS DBusAddons GuiAddons)

# includes
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/session
)

# collect the needed source files
set (KATE_LIBRARY_SRCS
   kateappadaptor.cpp
   kateapp.cpp
   kateconfigdialog.cpp
   kateconfigplugindialogpage.cpp
   katedocmanager.cpp
   katemainwindow.cpp
   katepluginmanager.cpp
   kateviewmanager.cpp
   kateviewspace.cpp
   katesavemodifieddialog.cpp
   katemwmodonhddialog.cpp

   katetabbutton.cpp
   katetabbar.cpp

   # session
   session/katesessionchooser.cpp
   session/katesessionsaction.cpp
   session/katesessionmanager.cpp
   session/katesessionmanagedialog.cpp
   session/katesessionopendialog.cpp
   session/katesession.cpp

   katemdi.cpp
   katerunninginstanceinfo.cpp
   katequickopen.cpp
   katewaiter.h
)

ki18n_wrap_ui(KATE_LIBRARY_SRCS
    ui/sessionconfigwidget.ui
)

qt5_add_resources( KATE_LIBRARY_SRCS data/kate.qrc )

add_library(kdeinit_kate STATIC ${KATE_LIBRARY_SRCS})
target_link_libraries(kdeinit_kate
PUBLIC
    KF5::TextEditor
    KF5::I18n
    KF5::IconThemes
    KF5::WindowSystem
    KF5::GuiAddons
    KF5::DBusAddons
    KF5::Crash)

if(KF5Activities_FOUND)
    target_link_libraries(kdeinit_kate
    PUBLIC
    KF5::Activities)
endif()

generate_export_header(kdeinit_kate
  EXPORT_FILE_NAME kateprivate_export.h
  EXPORT_MACRO_NAME KATE_TESTS_EXPORT
)

# collect icons
set(KATE_ICONS_PNG
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/16-apps-kate.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/22-apps-kate.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/32-apps-kate.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/48-apps-kate.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/64-apps-kate.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/128-apps-kate.png
)

set(KATE_ICONS_SVG
${CMAKE_CURRENT_SOURCE_DIR}/icons/sc-apps-kate.svgz
)

# application only sources
set (KATE_APP_SRCS
    main.cpp
)

# add icons to application sources, to have them bundled
ecm_add_app_icon(KATE_APP_SRCS ICONS ${KATE_ICONS_PNG})

# create executable
add_executable(kate ${KATE_APP_SRCS})
target_link_libraries(kate kdeinit_kate)

# own plist template
set_target_properties (kate PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/data/MacOSXBundleInfo.plist.in)

# install executable
install(TARGETS kate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# desktop file
install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kate.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR})

# appdata
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kate.appdata.xml DESTINATION  ${CMAKE_INSTALL_METAINFODIR})

# install icons
ecm_install_icons(ICONS ${KATE_ICONS_PNG} ${KATE_ICONS_SVG} DESTINATION ${ICON_INSTALL_DIR} THEME hicolor)

# automatic unit tests
ecm_optional_add_subdirectory (autotests)

=== kwrite/CMakeLists.txt ===
# KWrite
project (kwrite)

# Load the frameworks we need
find_package(KF5 REQUIRED COMPONENTS DBusAddons)

# collect icons
set(KWRITE_ICONS_PNG
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/16-apps-kwrite.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/22-apps-kwrite.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/32-apps-kwrite.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/48-apps-kwrite.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/64-apps-kwrite.png
    ${CMAKE_CURRENT_SOURCE_DIR}/icons/128-apps-kwrite.png
)

set(KWRITE_ICONS_SVG
${CMAKE_CURRENT_SOURCE_DIR}/icons/sc-apps-kwrite.svgz
)

# collect the sources
set (KWRITE_APPLICATION_SRCS main.cpp kwrite.cpp)
qt5_add_resources(KWRITE_APPLICATION_SRCS data/kwrite.qrc)

# add icons to application sources, to have them bundled
ecm_add_app_icon(KWRITE_APPLICATION_SRCS ICONS ${KWRITE_ICONS_PNG})

# build KWrite application
add_executable(kwrite ${KWRITE_APPLICATION_SRCS})
target_link_libraries(kwrite
PUBLIC
  KF5::TextEditor
  KF5::I18n
  KF5::DBusAddons
  KF5::Crash
)

if(KF5Activities_FOUND)
    target_link_libraries(kwrite
    PUBLIC
    KF5::Activities)
endif()

# own plist template
set_target_properties (kwrite PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/data/MacOSXBundleInfo.plist.in)

# install executable
install(TARGETS kwrite ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# desktop file
install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kwrite.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR})

# appdata
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kwrite.appdata.xml DESTINATION  ${CMAKE_INSTALL_METAINFODIR})

# install icons
ecm_install_icons(ICONS ${KWRITE_ICONS_PNG} ${KWRITE_ICONS_SVG} DESTINATION ${ICON_INSTALL_DIR} THEME hicolor)

=== addons/rustcompletion/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_BINARY_DIR} )

add_definitions(-DTRANSLATION_DOMAIN=\"kterustcompletion\")

set(kterustcompletion_SRCS
  kterustcompletion.cpp
  kterustcompletionconfigpage.cpp
  kterustcompletionplugin.cpp
  kterustcompletionpluginview.cpp
)

# resource for ui file and stuff
qt5_add_resources(kterustcompletion_SRCS plugin.qrc)

add_library(kterustcompletionplugin MODULE ${kterustcompletion_SRCS})

kcoreaddons_desktop_to_json(kterustcompletionplugin kterustcompletionplugin.desktop)

target_link_libraries(kterustcompletionplugin
  KF5::TextEditor
  KF5::XmlGui
)

install(TARGETS kterustcompletionplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor)

=== addons/snippets/CMakeLists.txt ===
project (katesnippets)
add_definitions(-DTRANSLATION_DOMAIN=\"katesnippetsplugin\")

########### next target ###############

set(katesnippetsplugin_PART_SRCS katesnippets.cpp
katesnippetglobal.cpp
snippetview.cpp
snippetstore.cpp
snippetrepository.cpp
snippetcompletionmodel.cpp
snippetcompletionitem.cpp
snippet.cpp
editrepository.cpp
editsnippet.cpp )

ki18n_wrap_ui(katesnippetsplugin_PART_SRCS 
snippetview.ui
editrepository.ui
editsnippet.ui)

# resource for ui file and stuff
qt5_add_resources(katesnippetsplugin_PART_SRCS plugin.qrc)

add_library (katesnippetsplugin MODULE ${katesnippetsplugin_PART_SRCS})

kcoreaddons_desktop_to_json (katesnippetsplugin katesnippetsplugin.desktop)

target_link_libraries(katesnippetsplugin
    KF5::TextEditor
    KF5::Parts KF5::I18n
    KF5::NewStuff Qt5::Script KF5::ItemViews KF5::IconThemes)

install(TARGETS katesnippetsplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor )

=== addons/xmltools/CMakeLists.txt ===
project(katexmltoolsplugin)
add_definitions(-DTRANSLATION_DOMAIN=\"katexmltools\")

# Maybe remove these later
remove_definitions(-DQT_NO_CAST_TO_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_URL_CAST_FROM_STRING)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

set(katexmltoolsplugin_PART_SRCS
    pseudo_dtd.cpp
    plugin_katexmltools.cpp
)

add_library(katexmltoolsplugin MODULE ${katexmltoolsplugin_PART_SRCS})

target_link_libraries(katexmltoolsplugin
    KF5::TextEditor
    KF5::Parts
    KF5::IconThemes
    KF5::I18n
    KF5::Service
)

########### install files ###############
install(TARGETS katexmltoolsplugin  DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor )

install( FILES ui.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/katexmltools )
install( FILES html4-loose.dtd.xml  html4-strict.dtd.xml kde-docbook.dtd.xml simplify_dtd.xsl
               xhtml1-frameset.dtd.xml xhtml1-strict.dtd.xml xhtml1-transitional.dtd.xml xslt-1.0.dtd.xml
               testcases.xml language.dtd.xml kpartgui.dtd.xml kcfg.dtd.xml
               DESTINATION  ${DATA_INSTALL_DIR}/katexmltools )

kcoreaddons_desktop_to_json (katexmltoolsplugin katexmltools.desktop)

=== debian/changelog ===
kate (4:15.12.3-0ubuntu2) xenial; urgency=medium

  * No-change rebuild for new gitlib2.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Apr 2016 23:36:07 +0200

kate (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:03:10 -0700

kate (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:28:59 +0100

kate (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:38:32 +0100

kate (4:15.08.2-1) unstable; urgency=medium

  * Add copyright information about the current license of the linkable
    code. (Closes: #799431)
  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:43 +0200

kate (4:15.08.1-1) unstable; urgency=medium

  * Drop fake katepart dependency, it wasnt really needed. (Closes:
    799294) Thanks to Ralf Jung
  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:44:53 +0200

kate (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.08.0).
  * Add fake dependency for the kde4 katepapart package.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 17:18:25 +0200

kate (4:15.04.3-1) experimental; urgency=medium

  * New upstream release (15.04.0).
  * Remove upstream applied patch: upstream_find-IconThemes.diff
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).
  * Update copyright information.
  * New upstream release (15.04.3).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jul 2015 16:07:50 +0200

kate (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:12:54 +0200

kate (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 23 Feb 2015 22:39:13 +0100

=== debian/control ===
--- 
+++ 
@@ -5,40 +5,40 @@
 Uploaders: Modestas Vainius <modax@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 1.3.0~),
-               kdoctools-dev,
-               kinit-dev,
-               kio-dev,
+               kdoctools-dev (>= 5.6.0~),
+               kinit-dev (>= 5.6.0~),
+               kio-dev (>= 5.6.0~),
                libgit2-dev,
-               libkf5activities-dev,
-               libkf5config-dev,
-               libkf5crash-dev,
+               libkf5activities-dev (>= 5.6.0~),
+               libkf5config-dev (>= 5.6.0~),
+               libkf5crash-dev (>= 5.6.0~),
                libkf5dbusaddons-dev,
-               libkf5guiaddons-dev,
-               libkf5i18n-dev,
+               libkf5guiaddons-dev (>= 5.6.0~),
+               libkf5i18n-dev (>= 5.6.0~),
+               libkf5iconthemes-dev (>= 5.6.0~),
                libkf5itemmodels-dev,
-               libkf5jobwidgets-dev,
+               libkf5jobwidgets-dev (>= 5.6.0~),
                libkf5newstuff-dev,
                libkf5notifications-dev,
-               libkf5parts-dev,
+               libkf5parts-dev (>= 5.6.0~),
                libkf5service-dev,
-               libkf5texteditor-dev,
+               libkf5texteditor-dev (>= 5.6.0~),
                libkf5threadweaver-dev,
                libkf5wallet-dev,
-               libkf5windowsystem-dev,
-               libkf5xmlgui-dev,
+               libkf5windowsystem-dev (>= 5.6.0~),
+               libkf5xmlgui-dev (>= 5.6.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                plasma-framework-dev,
-               qtbase5-dev,
-               qtscript5-dev
+               qtbase5-dev (>= 5.4),
+               qtscript5-dev (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://kate-editor.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kate.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kate.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kate.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kate.git
 
 Package: kate
 Section: editors

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 override_dh_auto_configure:
 	$(overridden_command) -- -DPYTHON_LIBRARY=/usr/lib/$(DEB_HOST_MULTIARCH)/libpython2.7.so.1
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:
 
 override_dh_auto_install:
 	$(overridden_command)

## kate 16.04.3

=== debian/changelog ===
kate (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release. 

  [ Clive Johnston ]
  * New upstream release 16.04.2
  * New upstream release (16.04.3)

  [ José Manuel Santamaría Lema ]
  * Update appstream files path.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:40:13 +0200

kate (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * Update install files.
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:13 +0100

=== debian/control ===
--- 
+++ 
@@ -7,38 +7,38 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kdoctools-dev (>= 5.6.0~),
-               kinit-dev (>= 5.6.0~),
-               kio-dev (>= 5.6.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               kinit-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
                libgit2-dev,
-               libkf5activities-dev (>= 5.6.0~),
-               libkf5config-dev (>= 5.6.0~),
-               libkf5crash-dev (>= 5.6.0~),
-               libkf5dbusaddons-dev,
-               libkf5guiaddons-dev (>= 5.6.0~),
-               libkf5i18n-dev (>= 5.6.0~),
-               libkf5iconthemes-dev (>= 5.6.0~),
-               libkf5itemmodels-dev,
-               libkf5jobwidgets-dev (>= 5.6.0~),
-               libkf5newstuff-dev,
-               libkf5notifications-dev,
-               libkf5parts-dev (>= 5.6.0~),
-               libkf5service-dev,
-               libkf5texteditor-dev (>= 5.6.0~),
-               libkf5threadweaver-dev,
-               libkf5wallet-dev,
-               libkf5windowsystem-dev (>= 5.6.0~),
-               libkf5xmlgui-dev (>= 5.6.0~),
+               libkf5activities-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5crash-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5guiaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5itemmodels-dev (>= 5.24.0~),
+               libkf5jobwidgets-dev (>= 5.24.0~),
+               libkf5newstuff-dev (>= 5.24.0~),
+               libkf5notifications-dev (>= 5.24.0~),
+               libkf5parts-dev (>= 5.24.0~),
+               libkf5service-dev (>= 5.24.0~),
+               libkf5texteditor-dev (>= 5.24.0~),
+               libkf5threadweaver-dev (>= 5.24.0~),
+               libkf5wallet-dev (>= 5.24.0~),
+               libkf5windowsystem-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               plasma-framework-dev,
-               qtbase5-dev (>= 5.4),
-               qtscript5-dev (>= 5.4)
+               plasma-framework-dev (>= 5.24.0~),
+               qtbase5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: http://kate-editor.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kate.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kate.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
 
 Package: kate
 Section: editors
@@ -84,12 +84,3 @@
  KWrite is a simple text editor built on the KDE Platform. It uses the Kate
  editor component, so it supports powerful features such as flexible syntax
  highlighting, automatic indentation, and numerous other text tools.
-
-Package: kate-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: kate | kwrite, ${misc:Depends}
-Description: debugging symbols for Kate
- This package contains debugging files used to investigate problems with
- binaries included in Kate.

## kate 16.08.2

=== debian/changelog ===
kate (4:16.08.2-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)
  * Update install files

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 23:13:09 +0200

kate (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 10:05:41 +0200

kate (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Improve the testsuite script
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:31:49 +0200

## kate 16.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 set(KF5_DEP_VERSION "5.10.0")
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "15")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MAJOR "16")
+set (KDE_APPLICATIONS_VERSION_MINOR "08")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
@@ -30,7 +30,7 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus Widgets Script Sql)

=== addons/CMakeLists.txt ===
--- 
+++ 
@@ -23,13 +23,14 @@
 # backtrace
 ecm_optional_add_subdirectory (backtracebrowser)
 
-# file browser, atm guarded until we have a check for KIOWidgets
-if (NOT WIN32)
-    ecm_optional_add_subdirectory (filebrowser)
-endif()
+# file browser
+ecm_optional_add_subdirectory (filebrowser)
 
 # xml completion
 ecm_optional_add_subdirectory (xmltools)
+
+# XML Validation plugin
+ecm_optional_add_subdirectory (xmlcheck)
 
 # open header matching to current file
 ecm_optional_add_subdirectory (openheader)
@@ -70,8 +71,8 @@
     ecm_optional_add_subdirectory (snippets)
 endif()
 
-if(KF5ItemModels_FOUND)
-    # terminal tool view
+# terminal tool view
+if(KF5Service_FOUND AND NOT WIN32)
     ecm_optional_add_subdirectory (konsole)
 endif()

=== kwrite/CMakeLists.txt ===
--- 
+++ 
@@ -41,8 +41,23 @@
     KF5::Activities)
 endif()
 
-# own plist template
-set_target_properties (kwrite PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/data/MacOSXBundleInfo.plist.in)
+# own plist magic for mac os
+if(APPLE)
+    # own plist template
+    set_target_properties (kwrite PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/data/MacOSXBundleInfo.plist.in)
+
+    # the MacOSX bundle display name property (CFBundleDisplayName) is not currently supported by cmake,
+    # so has to be set for all targets in this cmake file
+    set(MACOSX_BUNDLE_DISPLAY_NAME KWrite)
+    set_target_properties(kwrite PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.KWrite")
+    set_target_properties(kwrite PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KWrite")
+    set_target_properties(kwrite PROPERTIES MACOSX_BUNDLE_DISPLAY_NAME "KWrite")
+    set_target_properties(kwrite PROPERTIES MACOSX_BUNDLE_INFO_STRING "KWrite - Text Editor")
+    set_target_properties(kwrite PROPERTIES MACOSX_BUNDLE_LONG_VERSION_STRING "KWrite ${KDE_APPLICATIONS_VERSION}")
+    set_target_properties(kwrite PROPERTIES MACOSX_BUNDLE_SHORT_VERSION_STRING "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}")
+    set_target_properties(kwrite PROPERTIES MACOSX_BUNDLE_BUNDLE_VERSION "${KDE_APPLICATIONS_VERSION}")
+    set_target_properties(kwrite PROPERTIES MACOSX_BUNDLE_COPYRIGHT "2000-2016 The KWrite Authors")
+endif()
 
 # install executable
 install(TARGETS kwrite ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kate (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:55:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,38 +7,39 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kdoctools-dev (>= 5.24.0~),
-               kinit-dev (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 1.3.0~),
+               kdoctools-dev (>= 5.10.0~),
+               kinit-dev (>= 5.6.0~),
+               kio-dev (>= 5.10.0~),
                libgit2-dev,
-               libkf5activities-dev (>= 5.24.0~),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5crash-dev (>= 5.24.0~),
-               libkf5dbusaddons-dev (>= 5.24.0~),
-               libkf5guiaddons-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5iconthemes-dev (>= 5.24.0~),
-               libkf5itemmodels-dev (>= 5.24.0~),
-               libkf5jobwidgets-dev (>= 5.24.0~),
-               libkf5newstuff-dev (>= 5.24.0~),
-               libkf5notifications-dev (>= 5.24.0~),
-               libkf5parts-dev (>= 5.24.0~),
-               libkf5service-dev (>= 5.24.0~),
-               libkf5texteditor-dev (>= 5.24.0~),
-               libkf5threadweaver-dev (>= 5.24.0~),
-               libkf5wallet-dev (>= 5.24.0~),
-               libkf5windowsystem-dev (>= 5.24.0~),
-               libkf5xmlgui-dev (>= 5.24.0~),
+               libkf5activities-dev (>= 5.10.0~),
+               libkf5config-dev (>= 5.10.0~),
+               libkf5crash-dev (>= 5.10.0~),
+               libkf5dbusaddons-dev,
+               libkf5guiaddons-dev (>= 5.6.0~),
+               libkf5i18n-dev (>= 5.10.0~),
+               libkf5iconthemes-dev (>= 5.10.0~),
+               libkf5itemmodels-dev,
+               libkf5jobwidgets-dev (>= 5.10.0~),
+               libkf5kio-dev (>= 5.10.0~),
+               libkf5newstuff-dev,
+               libkf5notifications-dev,
+               libkf5parts-dev (>= 5.10.0~),
+               libkf5service-dev,
+               libkf5texteditor-dev (>= 5.10.0~),
+               libkf5threadweaver-dev,
+               libkf5wallet-dev,
+               libkf5windowsystem-dev (>= 5.10.0~),
+               libkf5xmlgui-dev (>= 5.10.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               plasma-framework-dev (>= 5.24.0~),
-               qtbase5-dev (>= 5.6.1~),
-               qtscript5-dev (>= 5.6.1~)
-Standards-Version: 3.9.6
+               plasma-framework-dev,
+               qtbase5-dev (>= 5.4.0~),
+               qtscript5-dev (>= 5.4.0~)
+Standards-Version: 3.9.8
 Homepage: http://kate-editor.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kate.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kate.git
 
 Package: kate
 Section: editors

=== debian/rules ===
--- 
+++ 
@@ -23,4 +23,4 @@
 	find debian/tmp/usr/lib -maxdepth 1 -name '*.so' -type l -delete
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=kate-dbg
+	$(overridden_command) --dbgsym-migration='kate-dbg (<= 4:15.12.1-1~~)'

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, kinit
Restrictions: build-needed

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kate-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kate-([\d.]+).tar.xz

## kate 16.12.3

=== debian/changelog ===
kate (4:16.12.3-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Stop re-building the package in debian/tests/testuite, use the build-
    needed restriction instead (that is the correct way to rebuild the package
    if needed).
  * Create a $HOME dir before running the testsuite. This avoids the testsuite
    hanging in environments where $HOME is not set.
  * New upstream release (16.12.3)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:30:31 +0000

kate (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:19:28 +0000

=== debian/control ===
--- 
+++ 
@@ -7,39 +7,38 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kdoctools-dev (>= 5.10.0~),
-               kinit-dev (>= 5.6.0~),
-               kio-dev (>= 5.10.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               kinit-dev (>= 5.31.0~),
                libgit2-dev,
-               libkf5activities-dev (>= 5.10.0~),
-               libkf5config-dev (>= 5.10.0~),
-               libkf5crash-dev (>= 5.10.0~),
-               libkf5dbusaddons-dev,
-               libkf5guiaddons-dev (>= 5.6.0~),
-               libkf5i18n-dev (>= 5.10.0~),
-               libkf5iconthemes-dev (>= 5.10.0~),
-               libkf5itemmodels-dev,
-               libkf5jobwidgets-dev (>= 5.10.0~),
-               libkf5kio-dev (>= 5.10.0~),
-               libkf5newstuff-dev,
-               libkf5notifications-dev,
-               libkf5parts-dev (>= 5.10.0~),
-               libkf5service-dev,
-               libkf5texteditor-dev (>= 5.10.0~),
-               libkf5threadweaver-dev,
-               libkf5wallet-dev,
-               libkf5windowsystem-dev (>= 5.10.0~),
-               libkf5xmlgui-dev (>= 5.10.0~),
+               libkf5activities-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5guiaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5itemmodels-dev (>= 5.31.0~),
+               libkf5jobwidgets-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5notifications-dev (>= 5.31.0~),
+               libkf5parts-dev (>= 5.31.0~),
+               libkf5plasma-dev (>= 5.31.0~),
+               libkf5service-dev (>= 5.31.0~),
+               libkf5texteditor-dev (>= 5.31.0~),
+               libkf5threadweaver-dev (>= 5.31.0~),
+               libkf5wallet-dev (>= 5.31.0~),
+               libkf5windowsystem-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               plasma-framework-dev,
-               qtbase5-dev (>= 5.4.0~),
-               qtscript5-dev (>= 5.4.0~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://kate-editor.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kate.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kate.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
 
 Package: kate
 Section: editors

=== debian/rules ===
--- 
+++ 
@@ -23,4 +23,4 @@
 	find debian/tmp/usr/lib -maxdepth 1 -name '*.so' -type l -delete
 
 override_dh_strip:
-	$(overridden_command) --dbgsym-migration='kate-dbg (<= 4:15.12.1-1~~)'
+	$(overridden_command) --ddeb-migration='kate-dbg (<= 4:15.12.1-1~~)'

## kate 17.04.3

=== debian/changelog ===
kate (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:35:03 +0100

## kate 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,17 +4,18 @@
 # minimal requirements
 cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
 set (QT_MIN_VERSION "5.4.0")
-set(KF5_DEP_VERSION "5.10.0")
+set(KF5_DEP_VERSION "5.13.0") # we need KMultiTabBar::appendButton(const QIcon &..., ...)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "16")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
+set (KDE_APPLICATIONS_VERSION_MAJOR "17")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 # we need some parts of the ECM CMake helpers
 find_package (ECM 1.1.0 REQUIRED NO_MODULE)
 set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMOptionalAddSubdirectory)
 include(ECMInstallIcons)
 include(ECMSetupVersion)
@@ -30,7 +31,6 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings NO_POLICY_SCOPE)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus Widgets Script Sql)
 
@@ -97,3 +97,7 @@
 
 # tell about our features (and what is missing)
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)
+if (KF5DocTools_FOUND)
+ kdoctools_install(po)
+endif()

=== addons/katesql/CMakeLists.txt ===
project(katesqlplugin)

add_definitions(-DTRANSLATION_DOMAIN=\"katesql\")
include_directories( ${CMAKE_CURRENT_BINARY_DIR} )

set(katesql_SRCS
  katesqlplugin.cpp
  katesqlview.cpp
  connectionmodel.cpp
  sqlmanager.cpp
  cachedsqlquerymodel.cpp
  dataoutputmodel.cpp
  dataoutputview.cpp
  dataoutputwidget.cpp
  textoutputwidget.cpp
  schemawidget.cpp
  schemabrowserwidget.cpp
  connectionwizard.cpp
  katesqlconfigpage.cpp
  exportwizard.cpp
  outputstylewidget.cpp
  outputwidget.cpp
)

# resource for ui file and stuff
qt5_add_resources(katesql_SRCS plugin.qrc)

add_library (katesqlplugin MODULE ${katesql_SRCS})

kcoreaddons_desktop_to_json (katesqlplugin katesql.desktop)

target_link_libraries(katesqlplugin
    KF5::TextEditor
    KF5::Parts KF5::I18n KF5::Wallet
    Qt5::Script Qt5::Sql KF5::ItemViews KF5::IconThemes)

install(TARGETS katesqlplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor )

=== doc/kwrite/CMakeLists.txt ===
########### install files ###############

kdoctools_create_handbook (index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kwrite)

=== debian/changelog ===
kate (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:24:26 +0000

kate (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:56:01 +0000

kate (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:02:59 +0000

kate (4:17.04.3-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against latest libgit2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Oct 2017 09:01:21 -0400

=== debian/control ===
--- 
+++ 
@@ -70,8 +70,8 @@
 Package: kate5-data
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: kate-data (<< 4:4.14.3-0ubuntu4)
-Breaks: kate-data (<< 4:4.14.3-0ubuntu4)
+Replaces: kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
+Breaks: kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
 Description: shared data files for Kate text editor
  This package contains the architecture-independent shared data files needed
  for Kate editor

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+l10npkgs_firstversion_ok := 4:17.03.90-0~
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 libpkgs_addsubst_allLibraries = kate-dbg
 libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
 include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

## kate 18.04.3

=== debian/changelog ===
kate (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * Remove debian/not-installed

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jul 2018 08:45:13 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
-               qtscript5-dev (>= 5.6.1~)
+               qtscript5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://kate-editor.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
